<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id="app">
        <input v-bind:type="type" v-model:value="inputData" />

        <p v-text="inputData"></p>
        <p>{{inputData}}</p>
    </div>

    <script>
        new Vue({
            el: "#app",
            data: {
                inputData: "hello",
                inputType: "text"
            },
        });
    </script>
</body>
</html>